/*****************************
 STEP15_ExternalInterrupt.c
*****************************/

// CN[ht@C̓ǂݍ
#include <pic.h>

// RtBM[V[h̐ݒ
#pragma config CPD=OFF , LVP=OFF , BOREN=ON , MCLRE=ON , PWRTE=ON , WDTE=OFF , FOSC=INTOSCIO

// vg^Cv錾
void InitInterExt (void);
void WaitTime (int cnt);

// C֐
void main (void)
{
	// 1,2,17,18[qo͒[qɐݒ
	CMCON = 0x07;
	
	// dx̏ݒ
	PORTA = 0xFF;
	PORTB = 0xFF;
	
	// o͐ݒ
	TRISA = 0x21;
	TRISB = 0x00;
	
	// Oݐݒ֐̌Ăяo
	InitInterExt();
	
	// ݑŜ̋
	GIE = 1;
	
	// iv[v
	while(1)
	{
		// LED2Ԕ]
		RB2 = ~RB2;
		
		// ҂Ԋ֐̌Ăяo
		WaitTime(30000);
	}
}

// 荞݃T[rX[`
static void __interrupt() isr(void)
{
	// LED1Ԕ]
	RB1 = ~RB1;
	
	// O݃tONA
	INTF = 0;
}

// Oݐݒ֐
void InitInterExt (void)
{
	// RB0[q͒[qɐݒ
	TRISB0 = 1;
	
	// ݏ𗧏GbWɐݒ
	INTEDG = 1;
	
	// O݃tONA
	INTF = 0;
	
	// Ő݂
	INTE = 1;
}

// ҂Ԋ֐
void WaitTime(int cnt)
{
	while(cnt > 0)
		cnt--;
}
